function [ sorted_nemo_data ] = sort_profile_data( p_nemo_data )
%SORT_PROFILE_DATA Sorts the CTD profile data of the given floats.
%   Uses nemo.float.sort_profuile_data function to sort each float
%   individually.
%
%   Parameters:
%   p_nemo_data:        The nemo data that will be sorted.
%   
%   Returns:
%   sorted_nemo_data:   A copy of p_nemo_data with sorted CTD data.


%% Initialize return variable
sorted_nemo_data = false;

%% Parameter check
if (~iscell(p_nemo_data))
    disp([mfilename ': Unknown input type! Please check your input parameter!']);
    return
end

%% Sort profile data by time
sorted_nemo_data = cellfun(@nemo.float.sort_profile_data, p_nemo_data, 'UniformOutput', false);


end

