function [ boolean ] = has_status( p_profile, p_status )
%HAS_STATUS Returns true if given profile has given status, false otherwise.
%   Compares xmit_upcast_status of the given profile with the p_status
%   parameter.
%
%   Returns: True or false.
%
%   Parameters:
%   p_profile:          The nemo profile that is being checked.
%   p_status:           Expected xmit_upcast_status. 

%% Initializing return variables
boolean = false;

%% Parameter check

if isempty(p_profile)
    return; % because no values given
end

if (~isstruct(p_profile) ...
        || ~ischar(p_status))
    disp([mfilename ': Wrong parameter. Please check your input. Returning false!']);
end

%% Check status
if isnan(p_profile.PROFILE_TECHNICAL_DATA.xmit_upcast_status)
    boolean = false;
else
    boolean = (strcmp(p_status, strtrim(p_profile.PROFILE_TECHNICAL_DATA.xmit_upcast_status)));
end

return;

end

